Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class SerializableImpl

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
            |
            +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
                  |
                  +--org.eclipse.emf.ecore.impl.EObjectImpl
                        |
                        +--org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl

All Implemented Interfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

Direct Known Subclasses:
  AssociatedEventImpl, AssociationEngineImpl, CommonBaseEventImpl, ComponentIdentificationImpl, ContextDataElementImpl, ExtendedDataElementImpl, MsgCatalogTokenImpl, MsgDataElementImpl, SituationImpl, SituationTypeImpl

public abstract class SerializableImpl
extends org.eclipse.emf.ecore.impl.EObjectImpl
implements java.io.Serializable

An implementation of the model object 'Serializable'.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `SerializableImpl()`

Method Summary
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eContainerFeatureID, eDeliver, eInternalContainer, eProperties, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eClass, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsProxy, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SerializableImpl

    protected SerializableImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD